% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/features.R
\name{f1_high_amplitude_points}
\alias{f1_high_amplitude_points}
\title{F_1}
\usage{
f1_high_amplitude_points(demand, threshold)
}
\arguments{
\item{demand:}{Vector of Energy Demand.
threshold:    Amplitude to split high and low}
}
\value{
boolean Vector
}
\description{
Computes the number of high amplitude points in a time window
}
\examples{

Example 1: Summarize points per time window
y <- c(1,1,1,10,10,10,1,5,1,5,5,10)
windows <- getTimeWindows(y, 3)
result <- as.vector(colSums(sapply(windows,f1_high_amplitude_points, threshold=5)))

Example 2: Plot points
x <- 1:12
y <- c(1,1,1,10,10,10,1,5,1,5,5,10)
plot(x,y, type='l', main='Number of High Amplitude Points', ylab='Power (W)', xlab='Time',cex.axis=1.5, cex.lab=1.5, cex.main=1.5)
f1 <- f1_high_amplitude_points(y,5)
points(x[f1],y[f1], cex=2)
}
