% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/features.R
\name{stealElectricity}
\alias{stealElectricity}
\title{Reduce the demand by percentage, where label==TRUE}
\usage{
stealElectricity(demand, labels, percentage)
}
\arguments{
\item{demand:}{Vector of Energy Demand.
label:            Boolean vector to label manipulated data
percentage:        multiplied with demand to reduce energy}
}
\description{
Reduce the demand by percentage, where label==TRUE
}
\examples{
data(demand)
### Create Training Data
data(demand)
training_dimension1 <- demand[(1):(30*288),2]
training_dimension2 <- demand[(1+1*288):(31*288),2]
training_dimension3 <- demand[(1+2*288):(32*288),2]
training_dimension4 <- demand[(1+3*288):(33*288),2]
training_dimension5 <- demand[(1+4*288):(34*288),2]
training <- c(training_dimension1,training_dimension2,training_dimension3,training_dimension4,training_dimension5)
mean_forecast <- forecast(myDemand, 48, 5, 288, 800, f1_high_amplitude_points)
### Our actual data is as follows:
actual_dimension1 <- demand[(1+30*288):(31*288),2]
actual_dimension2 <- demand[(1+31*288):(32*288),2]
actual_dimension3 <- demand[(1+32*288):(33*288),2]
actual_dimension4 <- demand[(1+33*288):(34*288),2]
actual_dimension5 <- demand[(1+34*288):(35*288),2]
### Now we manipulate day 5 (reduce demand to 0W at afternoon).
label <- c(rep(FALSE,2*48), rep(TRUE, 1*48),rep(FALSE,3*48))
actual_dimension5 <- stealElectricity(actual_dimension5, label, 0)
actualData <- c(actual_dimension1,actual_dimension2,actual_dimension3,actual_dimension4,actual_dimension5)
	windows <- getTimeWindows(actualData, 48) 							
 	features <- as.vector(colSums(sapply(windows,f1_high_amplitude_points, threshold=800)))	
 	prob <- toProbabilityMatrix(features,5)								
 	actual_entropy <- apply(prob,2, entropy)
### Plot								
plot(actual_entropy, type='l', ylim=c(0,1))
lines(1:6,mean_forecast)
points(3,actual_entropy[3], col='red', ylab='Entropy', xlab='Time', main='Anomalies')
}
