% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/features.R
\name{toProbabilityMatrix}
\alias{toProbabilityMatrix}
\title{Creates a matrix and converts the values to probabilities, so that each column equals 100 percent}
\usage{
toProbabilityMatrix(features, dimensionSize)
}
\arguments{
\item{features:}{input vector to split
dimensionSize:    Number of Rows. Note that, if length(features) cannot be divided by dimensionSize
        we fill the missing values with zero.}
}
\value{
matrix
}
\description{
Creates a matrix and converts the values to probabilities, so that each column equals 100 percent
}
\examples{
Example 1: Convert three Houses (or three days) to a matrix whereas
   each row is one house. 
house1 <- c(10,10,10 ,0,0 ,0 ,10,10,10,0 ,0 ,0)
house2 <- c(10,10,10,10,10,10,10,10,10,0 ,0 ,0)
house3 <- c(0 ,0 ,0 ,10,10,10,10,10,10,10,10,10)	
all <- c(house1,house2,house3)
windows <- getTimeWindows(all, 3)
features <- as.vector(colSums(sapply(windows,f1_high_amplitude_points, threshold=5)))
result <- toProbabilityMatrix(features,3)
barplot(result, xlab='Time', ylab='Distribution (\%)')

}
